/*
export function someAction (context) {
}
*/
import "firebase/app";

export function setProjectsRef({ commit }, ref) {}
export function setCategoryRef({ commit }, ref) {}

export function loadAllProjects({ state, dispatch }) {
  const db = firebase.database();

  var ref = db
    .ref("library/projects")
    .orderByKey()
    .limitToFirst(state.limit);

  dispatch("setProjectsRef", ref);
}

export function loadCategory({ state, dispatch }, category_id) {
  const db = firebase.database();

  var projects_ref = db
    .ref("library/projects")
    .orderByChild("category")
    .equalTo(category_id)
    .limitToFirst(state.limit);

  var cat_ref = db.ref("library/categories/" + category_id);

  dispatch("setProjectsRef", projects_ref);
  dispatch("setCategoryRef", cat_ref);
}
